| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bsupix.cpp File Reference

Segment images. More...

`#include "rwimg.h"`
`#include "options.h"`
`#include "utilities.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
vector< Bsuperpixel > | superpixel_from_json (JSvalue &root)
JSvalue | json_from_superpixel (vector< Bsuperpixel > &seg)
int | main (int argc, char *argv[])
JSvalue | jsvalue_from_neighbors (Bsuperpixel &sp)

## Variables
int | verbose
const char * | use []

## Detailed Description

Segment images.

Author
  Bernard Heymann

Date
  Created: 20160320
  Modified: 20190314

Definition in file bsupix.cpp.

## Function Documentation

## ◆ json_from_superpixel()

JSvalue json_from_superpixel | ( | vector< Bsuperpixel > & | seg | ) |

Definition at line 237 of file bsupix.cpp.

## ◆ jsvalue_from_neighbors()

JSvalue jsvalue_from_neighbors | ( | Bsuperpixel & | sp | ) |

Definition at line 226 of file bsupix.cpp.

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 60 of file bsupix.cpp.

## ◆ superpixel_from_json()

vector< Bsuperpixel > superpixel_from_json | ( | JSvalue & | root | ) |

Definition at line 198 of file bsupix.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 22 of file bsupix.cpp.

## ◆ verbose

int verbose